## com.saxonica.stream.feed
Class ItemMappingFeed

    java.lang.Object
      com.saxonica.stream.feed.ItemFeed
          com.saxonica.stream.feed.ItemMappingFeed

All Implemented Interfaces:
  Feed

    public class ItemMappingFeed

extends ItemFeed

A Feed which applies an ItemMappingFunction to each supplied item. This produces zero or one output items for each input item.

Constructor Summary
`ItemMappingFeed(Expression expr, Feed result, Stack<XPathContext> contextStack)`

Method Summary
`void` `append(Item item)` Supply an item to the feed
`void` `setItemMappingFunction(ItemMappingFunction function)`

Methods inherited from class com.saxonica.stream.feed.ItemFeed
`close, getContext, getContextStack, getExpression, getPipelineConfiguration, getResult, open, setPipelineConfiguration`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ItemMappingFeed

    public ItemMappingFeed(Expression expr,
                           Feed result,
                           Stack<XPathContext> contextStack)

Method Detail

### setItemMappingFunction

    public void setItemMappingFunction(ItemMappingFunction function)

### append

    public void append(Item item)
                throws XPathException

  Supply an item to the feed

  Specified by:
    `append` in interface `Feed`
  Specified by:
    `append` in class `ItemFeed`
  Parameters:
    `item` - the item being fed
  Throws:
    `XPathException` - to report any failure

Copyright (c) 2004-2010 Saxonica Limited. All rights reserved.